## aodh 8.0.0

=== debian/changelog ===
aodh (8.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:48:22 +0200

aodh (8.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 18:12:19 +0200

aodh (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 08:48:01 +0200

aodh (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed all package versions satisfied in Buster.
  * Removed python3- prefix when calling config generators.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 15:20:37 +0100

aodh (7.0.0-5) unstable; urgency=medium

  * Fix Aodh default port to 8042 for uwsgi. The 9696 was wrong, that's the
    port for neutron-api.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2019 15:08:35 +0100

aodh (7.0.0-4) unstable; urgency=medium

  * Removed mongodb build-depends (Closes: #919087).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Jan 2019 16:25:48 +0100

aodh (7.0.0-3) unstable; urgency=medium

  * Also remove /etc/aodh on purge. (Closes: #909608).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 09:04:47 +0100

aodh (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Echo something when starting mongod, as it is doing readline.
  * Remove /etc/aodh/{aodh.conf,api-paste.ini,policy.json} on purge.
    (Closes: #905496)

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 11:37:20 +0200

aodh (7.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2018 22:39:12 +0200

aodh (6.0.0-8) unstable; urgency=medium

  * Correctly configures aodh-api through uwsgi.ini.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jun 2018 11:00:58 +0200

aodh (6.0.0-7) unstable; urgency=medium

  * Also install app.wsgi in /usr/share/aodh, needed for puppet-openstack.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 May 2018 12:16:18 +0200

aodh (6.0.0-6) unstable; urgency=medium

  * Add --rem-header Content-Lenght when starting aodh-api under uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 May 2018 11:38:25 +0200

aodh (6.0.0-5) unstable; urgency=medium

  * Fixed postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:11:52 +0000

aodh (6.0.0-4) unstable; urgency=medium

  * Explicitly using python3- version of generators when building confs.
  * Call pkgos-readd-keystone-authtoken-missing-options.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 11:18:04 +0000

aodh (6.0.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Removed python3-gnocchi from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 08:48:28 +0000

aodh (6.0.0-2) experimental; urgency=medium

  * Fixed py3 sheebang.
  * Using pkgos-dh_auto_test to run unit tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2018 10:34:06 +0000

aodh (6.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Generate policy.yaml using oslopolicy-policy-generator.
  * Standards-Version is now 4.1.3.
  * Fix aodh-doc short desc.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Feb 2018 21:09:54 +0000

aodh (5.0.0-8) unstable; urgency=medium

  * Team upload.
  * Updated French translation of the debconf templates (Closes: #885587).

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Jan 2018 15:35:56 +0100

aodh (5.0.0-7) unstable; urgency=medium

  * Fixed debian/copyright attributions and years.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Dec 2017 10:43:19 +0100

aodh (5.0.0-6) unstable; urgency=medium

  * Switch to Python 3 (Closes: #884636).
  * Fixed aodh-api short description.
  * Correctly purge aodh-common's db on purge.
  * Install missing alembic scripts.
  * Using python3 -m sphinx to build sphinx doc.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Dec 2017 09:38:19 +0100

aodh (5.0.0-5) unstable; urgency=medium

  * Team upload.
  * Fix wrong key in debconf (Closes: #884265)
  * Don't depend od dh-systemd, it's not needed
  * Remove duplicity in B-D
  * Add aodh-api depends on lsb-base
  * Enable autopkgtest-pkg-python testsuite

 -- Ondřej Nový <onovy@debian.org>  Wed, 13 Dec 2017 11:36:27 +0100

aodh (5.0.0-4) unstable; urgency=medium

  * Do not customize connection= in debian/rules.
  * Added --paste-logger to uwsgi_python params to log python output.
  * Added python-pastescript as runtime depends for aodh-api, needed for the
    --paste-logger option.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Dec 2017 09:39:36 +0000

aodh (5.0.0-3) unstable; urgency=medium

  * Handle the db with dbconfig-common, now that Aodh switched away from
    mongodb.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Dec 2017 09:20:39 +0000

aodh (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated pt_BR.po (Closes: #861981).

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 20:24:07 +0100

aodh (5.0.0-1) experimental; urgency=medium

  * Updated Danish translation of the debconf templates (Closes: #830646).
  * Do not run test_messaging.MessagingTests.test_get_transport_optional,
    which is failing under some OS (Xenial & Jessie arm64).
  * New upstream release.
  * Changed maintainer name.
  * Ran wrap-and-sort -bast.
  * Updated VCS fields.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * Removed CVE patch, applied upstream.


=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-babel,
 python3-cachetools,
 python3-cotyledon,
 python3-coverage,
 python3-croniter,
 python3-debtcollector,
 python3-fixtures,
 python3-futurist,
 python3-gabbi,
 python3-gnocchiclient,
 python3-hacking,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mock,
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.utils,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-six,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-tempest,
 python3-tenacity,
 python3-testresources,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-webtest,
 python3-wsme,
 python3-zaqarclient,
 subunit,
 testrepository,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/aodh
Vcs-Git: https://salsa.debian.org/openstack-team/services/aodh.git
Homepage: https://github.com/openstack/aodh
Testsuite: autopkgtest-pkg-python

Package: aodh-api
Architecture: all
Depends:
 adduser,
 aodh-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 dpkg-dev,
 python3-aodh (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Aodh.

Package: aodh-doc
Section: doc
Architecture: all
Depends:
 adduser,
 aodh-common (= ${binary:Version}),
 debconf,
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack Telemetry (Ceilometer) Alarming - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: aodh-evaluator
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-expirer
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-listener
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-notifier
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: python3-aodh
Section: python
Architecture: all
Depends:
 alembic,
 python3-cachetools,
 python3-croniter,
 python3-debtcollector,
 python3-gnocchiclient,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Aodh.

=== debian/rules ===
#!/usr/bin/make -f

export HOME="$(CURDIR)/debian/test"
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -f debian/aodh-common.config debian/aodh-common.postinst debian/aodh-api.config debian/aodh-api.postinst
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf debian/po debian/*.templates

override_dh_auto_clean:
	python3 setup.py clean -a

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm aodh-common.postrm
	pkgos-merge-templates aodh-api aodh endpoint
	pkgos-merge-templates aodh-common aodh db rabbit ksat

override_dh_auto_install:
	echo "Do nothing here..."

override_dh_auto_test:
	echo "Do nothing here..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --force --no-compile -O0 --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'aodh\.tests\.unit\.(?!(.*test_bin.*|.*test_messaging\.MessagingTests\.test_get_transport_optional.*))'
endif

	for i in api-paste.ini app.wsgi ; do \
		cp aodh/api/$$i $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/aodh/api ; \
	done

	dh_install
	dh_missing --fail-missing

	# Manage policy.yaml
	mkdir -p $(CURDIR)/debian/aodh-common/usr/share/aodh-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages:$(CURDIR) oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/aodh-common/usr/share/aodh-common/policy.json \
		--format json \
		--namespace aodh

	# Manage aodh.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf \
		--namespace aodh \
		--namespace aodh-auth \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf keystone_authtoken aodh

	pkgos-fix-config-default $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf api paste_config /usr/lib/python3/dist-packages/aodh/api/api-paste.ini

	# Add sqlalchemy migration which are missing
	mkdir -p $(CURDIR)/debian/python-aodh/usr/lib/python3/dist-packages/aodh/storage/sqlalchemy
	cp -auxf $(CURDIR)/aodh/storage/sqlalchemy/* $(CURDIR)/debian/python-aodh/usr/lib/python3/dist-packages/aodh/storage/sqlalchemy

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html
	mkdir -p $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static
	touch $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## aodh 8.0.1

=== debian/changelog ===
aodh (8.0.1-1~bpo10+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-stein.infomaniak.ch>  Fri, 24 Jul 2020 14:57:28 +0000

aodh (8.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Michal Arbet ]
  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 24 Jul 2020 16:56:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools (>= 99~),
  po-debconf,
@@ -68,7 +68,7 @@
  python3-zaqarclient,
  subunit,
  testrepository,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/aodh
 Vcs-Git: https://salsa.debian.org/openstack-team/services/aodh.git
 Homepage: https://github.com/openstack/aodh

## aodh 9.0.0

=== debian/changelog ===
aodh (9.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 22:32:05 +0200

aodh (9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 15:05:02 +0200

aodh (9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 16:27:15 +0200

=== debian/control ===
--- 
+++ 
@@ -21,18 +21,21 @@
  python3-cotyledon,
  python3-coverage,
  python3-croniter,
+ python3-dateutil,
  python3-debtcollector,
  python3-fixtures,
  python3-futurist,
  python3-gabbi,
  python3-gnocchiclient,
  python3-hacking,
+ python3-heatclient (>= 1.17.0),
  python3-jsonschema,
  python3-keystoneauth1,
  python3-keystoneclient,
  python3-keystonemiddleware,
  python3-lxml,
  python3-mock,
+ python3-octaviaclient (>= 1.8.0),
  python3-openstackdocstheme,
  python3-os-testr,
  python3-oslo.config,
@@ -42,6 +45,7 @@
  python3-oslo.messaging,
  python3-oslo.middleware,
  python3-oslo.policy,
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-oslotest,
  python3-pastedeploy,
@@ -68,7 +72,7 @@
  python3-zaqarclient,
  subunit,
  testrepository,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/aodh
 Vcs-Git: https://salsa.debian.org/openstack-team/services/aodh.git
 Homepage: https://github.com/openstack/aodh
@@ -233,13 +237,16 @@
  alembic,
  python3-cachetools,
  python3-croniter,
+ python3-dateutil,
  python3-debtcollector,
  python3-gnocchiclient,
+ python3-heatclient (>= 1.17.0),
  python3-jsonschema,
  python3-keystoneauth1,
  python3-keystoneclient,
  python3-keystonemiddleware,
  python3-lxml,
+ python3-octaviaclient (>= 1.8.0),
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
@@ -249,6 +256,7 @@
  python3-oslo.middleware,
  python3-oslo.policy,
  python3-oslo.service,
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-pastedeploy,
  python3-pbr,

## aodh 9.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

tenacity>=3.2.1  # Apache-2.0
croniter>=0.3.4 # MIT License
futures>=3.0;python_version=='2.7' or python_version=='2.6'  # BSD
futurist>=0.11.0  # Apache-2.0
jsonschema>=2.6.0 # MIT
keystonemiddleware>=2.2.0,!=4.19.0
gnocchiclient>=3.1.0  # Apache-2.0
lxml>=2.3
oslo.db>=4.8.0,!=4.13.1,!=4.13.2,!=4.15.0 # Apache-2.0
oslo.config>=2.6.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
PasteDeploy>=1.5.0
pbr>=2.0.0 # Apache-2.0
pecan>=0.8.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.22.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
python-keystoneclient>=1.6.0
pytz>=2013.6
requests>=2.5.2
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
voluptuous>=0.8.10
WebOb>=1.2.3
WSME>=0.8
cachetools>=1.1.6
cotyledon
keystoneauth1>=2.1
debtcollector>=1.2.0  # Apache-2.0
python-octaviaclient>=1.8.0
python-dateutil  # BSD
python-heatclient>=1.17.0

=== debian/changelog ===
aodh (9.0.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Train (LP: #1883892).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 18 Jun 2020 06:11:52 +0000

aodh (9.0.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Oct 2019 19:54:33 +0000

aodh (9.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.
  * d/control: Remove duplicate reference of python3-tz.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:41:34 +0100

aodh (9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 13:25:14 -0400

aodh (9.0.0~b2~git2019073015.4b93caca-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 15:14:04 +0200

aodh (9.0.0~b1~git2019061315.83fb9646-0ubuntu2) eoan; urgency=medium

  * d/control: Drop (Build-)Depends on python3-ceilometerclient as it is
    no longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jul 2019 13:49:58 -0400

aodh (9.0.0~b1~git2019061315.83fb9646-0ubuntu1) eoan; urgency=medium

  * New upstream release 9.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 14 Jun 2019 16:28:10 +0100

aodh (8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:37:56 +0100

aodh (8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 09:50:48 -0400

aodh (8.0.0~b1~git2019031456.1b552dd8-0ubuntu1) disco; urgency=medium

  * d/aodh-common.postinst: Change /etc/aodh to 0750 root:aodh.
  * New upstream snapshot for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Mar 2019 07:36:51 +0000

aodh (8.0.0~b1~git2019013034.1b552dd8-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:40:12 +0000

aodh (8.0.0~b1~git2018111614.c676eae2-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control, d/rules, d/python(3)-aodh.*, d/tests/*: Drop Python 2 support.
  * d/p/ensure-refresh-gets-str-type.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 14:20:31 -0500

aodh (7.0.0-0ubuntu5) disco; urgency=medium

  * d/tests/aodh-shebangs-py3: Update shebang for Python 3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:22:58 -0500

## aodh 10.0.0~b2~git2020020508.83ef3a81

=== debian/changelog ===
aodh (10.0.0~b2~git2020020508.83ef3a81-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 05 Feb 2020 09:45:55 +0100

aodh (10.0.0~b1~git2019121610.b18d0bae-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Dec 2019 11:08:26 +0100

## aodh 10.0.0~b3~git2020041012.6ae7f90a

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.20.0  # Apache-2.0
reno>=0.1.1  # Apache2
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
sphinxcontrib-httpdomain
sphinxcontrib-pecanwsme>=0.8

=== debian/changelog ===
aodh (10.0.0~b3~git2020041012.6ae7f90a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/aodh-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 12:51:08 -0400

aodh (10.0.0~b3~git2020032411.ed802044-0ubuntu1) focal; urgency=medium

  * d/aodh-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).
  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 11:48:22 -0400

=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 crudini,
 mongodb,
 python3-babel,
 python3-cachetools (>= 1.1.6),
 python3-cotyledon,
 python3-coverage,
 python3-croniter (>= 0.3.4),
 python3-dateutil,
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 0.11.0),
 python3-gabbi,
 python3-gnocchiclient (>= 3.1.0),
 python3-heatclient (>= 1.17.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 2.1),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 2.2.0),
 python3-lxml (>= 2.3),
 python3-mock (>= 2.0.0),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:2.6.0),
 python3-oslo.db (>= 4.8.0),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.log (>= 1.2.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 0.5.0),
 python3-oslo.utils (>= 3.5.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslosphinx,
 python3-oslotest,
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 0.8.0),
 python3-psycopg2,
 python3-pymysql,
 python3-reno (>= 0.1.1),
 python3-requests (>= 2.5.2),
 python3-retrying,
 python3-six (>= 1.9.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8),
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy-utils,
 python3-stevedore (>= 1:1.5.0),
 python3-tempest,
 python3-tenacity (>= 3.2.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-tooz (>= 1.28.0),
 python3-tz (>= 2013.6),
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1:1.2.3),
 python3-webtest,
 python3-werkzeug,
 python3-wsme (>= 0.8),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
Homepage: https://github.com/openstack/aodh
Testsuite: autopkgtest-pkg-python

Package: aodh-api
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 mongodb,
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: aodh-evaluator
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-expirer
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-listener
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-notifier
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: python3-aodh
Section: python
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 python3-cachetools (>= 1.1.6),
 python3-cotyledon,
 python3-croniter (>= 0.3.4),
 python3-dateutil,
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 0.11.0),
 python3-gnocchiclient (>= 3.1.0),
 python3-heatclient (>= 1.17.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 2.1),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 2.2.0),
 python3-lxml (>= 2.3),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient,
 python3-oslo.config (>= 1:2.6.0),
 python3-oslo.db (>= 4.8.0),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.log (>= 1.2.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 0.5.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.5.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 0.8.0),
 python3-pymysql,
 python3-requests (>= 2.5.2),
 python3-retrying,
 python3-six (>= 1.9.0),
 python3-sqlalchemy,
 python3-stevedore (>= 1:1.5.0),
 python3-tenacity (>= 3.2.1),
 python3-tooz (>= 1.28.0),
 python3-tz (>= 2013.6),
 python3-tz (>= 2013.6),
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1:1.2.3),
 python3-werkzeug,
 python3-wsme (>= 0.8),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python 3 libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python 3 libraries that are needed for all parts of
 Aodh.

Package: aodh-common
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 ${misc:Depends},
Breaks:
 aodh-api (<< 7.0.0-0ubuntu2~),
 aodh-evaluator (<< 7.0.0-0ubuntu2~),
 aodh-expirer (<< 7.0.0-0ubuntu2~),
 aodh-listener (<< 7.0.0-0ubuntu2~),
 aodh-notifier (<< 7.0.0-0ubuntu2~),
Replaces:
 aodh-api (<< 7.0.0-0ubuntu2~),
 aodh-evaluator (<< 7.0.0-0ubuntu2~),
 aodh-expirer (<< 7.0.0-0ubuntu2~),
 aodh-listener (<< 7.0.0-0ubuntu2~),
 aodh-notifier (<< 7.0.0-0ubuntu2~),
Description: OpenStack Telemetry (Ceilometer) Alarming - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Aodh.

## aodh 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 tenacity>=3.2.1  # Apache-2.0
 croniter>=0.3.4 # MIT License
-futures>=3.0;python_version=='2.7' or python_version=='2.6'  # BSD
 futurist>=0.11.0  # Apache-2.0
 jsonschema>=2.6.0 # MIT
 keystonemiddleware>=2.2.0,!=4.19.0
@@ -38,3 +37,4 @@
 python-octaviaclient>=1.8.0
 python-dateutil  # BSD
 python-heatclient>=1.17.0
+python-ceilometerclient>=1.5.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.31.2  # Apache-2.0
reno>=2.5.0  # Apache2
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2  # BSD
sphinxcontrib-httpdomain
sphinxcontrib-pecanwsme>=0.10.0

=== debian/changelog ===
aodh (10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Update to get release tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 13:27:11 -0400

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  mongodb,
  python3-babel,
  python3-cachetools (>= 1.1.6),
+ python3-ceilometerclient (>= 1.5.0),
  python3-cotyledon,
  python3-coverage,
  python3-croniter (>= 0.3.4),
@@ -200,6 +201,7 @@
 Depends:
  aodh-common (= ${binary:Version}),
  python3-cachetools (>= 1.1.6),
+ python3-ceilometerclient (>= 1.5.0),
  python3-cotyledon,
  python3-croniter (>= 0.3.4),
  python3-dateutil,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#expose DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"
SHELL := /bin/sh -e


include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with apache2,python3,systemd,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .testrepository

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/etc/aodh
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$(CURDIR)/aodh/cmd/aodh-config-generator.conf \
		--output-file=$(CURDIR)/debian/tmp/etc/aodh/aodh.conf
	crudini --merge $(CURDIR)/debian/tmp/etc/aodh/aodh.conf < $(CURDIR)/debian/aodh.conf.dist
	dh_install --fail-missing -Xusr/etc/aodh/aodh-config-generator.conf -Xusr/bin/aodh-api \
		-Xusr/etc/aodh/policy.json -Xusr/etc/aodh/api_paste.ini

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'aodh\.tests\.unit.(?!test_bin.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html
	mkdir -p $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static
	touch $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/aodh aodh-(\d.*)\.tar\.gz
